# Uses of Interface
org.opensaml.xmlsec.signature.XPath

Packages that use XPath
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of XPath in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type XPath
Modifier and Type
Method
Description
`List<XPath>`
Transform.`getXPaths()`
Get the list of XPath child elements.

## Uses of XPath in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement XPath
Modifier and Type
Class
Description
`class`
`XPathImpl`
Concrete implementation of `XPath`.
Methods in org.opensaml.xmlsec.signature.impl that return XPath
Modifier and Type
Method
Description
`XPath`
XPathBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`XPath`
XPathBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type XPath
Modifier and Type
Method
Description
`List<XPath>`
TransformImpl.`getXPaths()`
Get the list of XPath child elements.